package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;
import java.util.Date;

/**
 * 行业树表对象 base_datadictionarydetail
 * 
 * @author ruoyi
 * @date 2020-07-07
 */
public class BaseDatadictionarydetail extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @Excel(name = "id")
    private String datadictionarydetailid;

    /** 废弃 */
    @Excel(name = "废弃")
    private String datadictionaryid;

    /** 父id */
    @Excel(name = "父id")
    private String parentid;

    /** 名称1 */
    @Excel(name = "名称1")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    private String fullname;

    /** 可用 */
    @Excel(name = "可用")
    private Long enabled;

    /** 编码 */
    @Excel(name = "编码")
    private Long sortcode;

    /** 删除标志 */
    @Excel(name = "删除标志")
    private Long deletemark;

    /** 创建时间 */
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 创建的用户id */
    @Excel(name = "创建的用户id")
    private String createuserid;

    /** 创建者 */
    @Excel(name = "创建者")
    private String createusername;

    /** 修改时间 */
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifydate;

    /** 修改者id */
    @Excel(name = "修改者id")
    private String modifyuserid;

    /** 修改者名称 */
    @Excel(name = "修改者名称")
    private String modifyusername;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String jyfw;

    /** 树标志 */
    @Excel(name = "树标志")
    private Long istree;

    /** 材料flg */
    @Excel(name = "材料flg")
    private String clflg;

    /** no用户 */
    @Excel(name = "no用户")
    private String nouser;

    public void setDatadictionarydetailid(String datadictionarydetailid) 
    {
        this.datadictionarydetailid = datadictionarydetailid;
    }

    public String getDatadictionarydetailid() 
    {
        return datadictionarydetailid;
    }
    public void setDatadictionaryid(String datadictionaryid) 
    {
        this.datadictionaryid = datadictionaryid;
    }

    public String getDatadictionaryid() 
    {
        return datadictionaryid;
    }
    public void setParentid(String parentid) 
    {
        this.parentid = parentid;
    }

    public String getParentid() 
    {
        return parentid;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setFullname(String fullname) 
    {
        this.fullname = fullname;
    }

    public String getFullname() 
    {
        return fullname;
    }
    public void setEnabled(Long enabled) 
    {
        this.enabled = enabled;
    }

    public Long getEnabled() 
    {
        return enabled;
    }
    public void setSortcode(Long sortcode) 
    {
        this.sortcode = sortcode;
    }

    public Long getSortcode() 
    {
        return sortcode;
    }
    public void setDeletemark(Long deletemark) 
    {
        this.deletemark = deletemark;
    }

    public Long getDeletemark() 
    {
        return deletemark;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setCreateuserid(String createuserid) 
    {
        this.createuserid = createuserid;
    }

    public String getCreateuserid() 
    {
        return createuserid;
    }
    public void setCreateusername(String createusername) 
    {
        this.createusername = createusername;
    }

    public String getCreateusername() 
    {
        return createusername;
    }
    public void setModifydate(Date modifydate) 
    {
        this.modifydate = modifydate;
    }

    public Date getModifydate() 
    {
        return modifydate;
    }
    public void setModifyuserid(String modifyuserid) 
    {
        this.modifyuserid = modifyuserid;
    }

    public String getModifyuserid() 
    {
        return modifyuserid;
    }
    public void setModifyusername(String modifyusername) 
    {
        this.modifyusername = modifyusername;
    }

    public String getModifyusername() 
    {
        return modifyusername;
    }
    public void setJyfw(String jyfw) 
    {
        this.jyfw = jyfw;
    }

    public String getJyfw() 
    {
        return jyfw;
    }
    public void setIstree(Long istree) 
    {
        this.istree = istree;
    }

    public Long getIstree() 
    {
        return istree;
    }
    public void setClflg(String clflg) 
    {
        this.clflg = clflg;
    }

    public String getClflg() 
    {
        return clflg;
    }
    public void setNouser(String nouser) 
    {
        this.nouser = nouser;
    }

    public String getNouser() 
    {
        return nouser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("datadictionarydetailid", getDatadictionarydetailid())
            .append("datadictionaryid", getDatadictionaryid())
            .append("parentid", getParentid())
            .append("code", getCode())
            .append("fullname", getFullname())
            .append("remark", getRemark())
            .append("enabled", getEnabled())
            .append("sortcode", getSortcode())
            .append("deletemark", getDeletemark())
            .append("createdate", getCreatedate())
            .append("createuserid", getCreateuserid())
            .append("createusername", getCreateusername())
            .append("modifydate", getModifydate())
            .append("modifyuserid", getModifyuserid())
            .append("modifyusername", getModifyusername())
            .append("jyfw", getJyfw())
            .append("istree", getIstree())
            .append("clflg", getClflg())
            .append("nouser", getNouser())
            .toString();
    }
}
